// this implements the academy colourspace aces cg (AP1).

// convert input color to xyz
static inline void colour_acescg_to_xyz(const float *const input, float *xyz)
{
  const float RGBtoXYZ[] =
  {
    0.66245418, 0.13400421, 0.15618769,
    0.27222872, 0.67408177, 0.05368952,
    -0.00557465, 0.00406073, 1.0103391
  };
  mat3_mulv(RGBtoXYZ, input, xyz);
}

// convert xyz to input color
static inline void colour_xyz_to_acescg(const float *const xyz, float *rgb)
{
  const float XYZtoRGB[] =
  {
    1.64102338, -0.32480329, -0.2364247,
    -0.66366286, 1.61533159, 0.01675635,
    0.01172189, -0.00828444, 0.98839486
  };
  mat3_mulv(XYZtoRGB, xyz, rgb);
}

static inline void colour_acescg_print_info(FILE *f)
{
  fprintf(f, "academy color encoding specification (aces cg)\n");
}

